/* Font */
@import url('https://fonts.googleapis.com/css2?family=Vollkorn:ital,wght@0,400;0,700;1,400&display=swap');


/* Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Vollkorn', Georgia, serif;
}

ul {
    list-style: none;
}

img {
    display: block;
    width: 100%;
    border-radius: 5px;
}


/* Grid Geral */
.structure {
    display: grid;
    grid-template-columns: minmax(160px, 1fr) 3fr 300px;
    grid-template-areas: 
    "header header header"
    "sidenav content anuncios"
    "footer footer footer"
    ;
     
   /* grid: 
        "header header header"
        "sidenav content anuncios"
        "footer footer footer"
        / minmax(160px, 1fr) 3fr 300px
    ; */
}


/* Header */
.header {
    grid-area: header;
    background: linear-gradient(135deg, #8844ee, #B07DFB);
    padding: 30px;
   
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
}

.header .logo {
    max-width: 200px;
}

.header nav ul {
    display: flex;
    flex-wrap: wrap;
}

.header nav ul li + li /* Vai adicionar a configuração somente no li que vinher apos de um outro li (oprimeiro não vai ter esse estilos pois ele não vem depois de um li) */{ 
    margin-left: 30px;
}

.header nav ul a {
    display: block;
    padding: 10px;
    
    color: white;
    font-size: 1.24em;
    text-decoration: none;
    
    background: rgb(0, 0, 0, .1);
    border-radius: 5px;
    transition: .2s;
}

.header nav ul a:hover {
    background: rgb(0, 0, 0, .5);
}


/* Sidenav */
.sidenav {
    grid-area: sidenav;
    background: #FAFBFC;
    padding: 30px;
}

.sidenav ul li  a {
    display: block;
    
    max-width: 140px;
    min-width:60px;
    
    margin: 0 auto 30px;
    background: white;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 5px 5px 15px 0 rgba(44, 44, 44, .15);
    transition: background .2s ease-in-out;
}

.sidenav ul li a:hover {
    background: #B07DFB;
}



/* Content */
.content {
    max-width: 900px;
    padding: 30px;
    margin: auto;

    grid-area: content;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 30px;

}

.content .title {
    color: #B07DFB;
}

.content .caracteristicas {
    display: flex;
    align-items: flex-start;
}

.content h1 {
    font-size: 3.75em;
    line-height: 1;
}

.content span {
    font-style: italic;
    font-size: 0.875em;
}



.content .caracteristicas div {
    width: 80px;
    text-align: center;
    border-radius: 5px;
    background: linear-gradient(135deg, #8844ee, #B07DFB);
    box-shadow: 5px 5px 15px 0 rgba(44, 44, 44, 0.15);
}

.content .caracteristicas div:first-child {
    margin-right: 30px;
}

.content .caracteristicas span {    
    color: #B07DFB;
    font-style: normal;
}

.content .caracteristicas div .numero {
    font-size: 3em;
    margin: 10px auto;
}

.content .caracteristicas div .rotulo {
    display: block;
    background: white;
    border-radius: 0 0 5px 5px;
    padding: 5px 0;
    
    font-size: 1em;
    
    position: relative;
    top: 2px;
}



.content p {
    color: rgba(0, 0, 0, .7);
    font-size: 1.2em;
    line-height: 1.6;
    letter-spacing: -0.005em;
}

.content .informacoes p + P{
    margin-top: 30px;
}

.content .destaque {
    max-width: 16em;
    color: #B07DFB;
    font-size: 0.875em;
}



.content .col-wide {
    grid-column: 1 / -1
}

.content .imagem-1 {
    grid-row: 3 / span 2;
    align-self: end;
}

.content .imagem-2 {
    align-self: end;
}



.citacao, .atributos {
    align-self: start;
    padding: 30px;
    background: linear-gradient(135deg, #8844EE, #B07DFB);
    border-radius: 5px;
    box-shadow: 5px 5px 15px 0px rgba(44, 44, 44, 0.15);
}

.citacao p {
    max-width: 500px;
    margin: auto;

    color: white;
    font-size: 1.5em;
    font-style: italic;
    text-align: center;
}

.atributos li {
    padding: 15px;

    color: white;
    font-size: 1.125em;
    font-family: Courier, monospace;
}

.atributos li + li {
    border-top: 1px solid #B07DFB;
}


/* Anuncios */
.anuncios {
    grid-area: anuncios;
    display: grid;
    align-content: start;
    gap: 30px;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    
    padding: 30px;
    background: #FAFBFC;
}


/* Footer */
.footer {
    grid-area: footer;
    padding: 30px;
    color: white;
    text-align: center;
    font-size: 1.2em;
    background: linear-gradient(135deg, #8844ee, #B07DFB);
}